# form

**ExtractData**

Extract data for form element will help get all the form data without much configuration.

Use below properties to extract data from various fields on the forms. All form elements may not be same. When they are not same we can't apply same rules for all the fields. Form elements let you a set of properties for each set of fields. For example all text boxs will have same properies, an&#x20;

| Prop Name                                   | Prop Desc                                                              | Prop Options/Info                                                         |
| ------------------------------------------- | ---------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| formData.set.\[setIndex].locator            | A common Locator for a group form elements                             | Generally you can define as input or textarea                             |
| formData.set.\[setIndex].attName            | Element attribute value to used for the name of the data of the field  | name or id                                                                |
| formData.set.\[setIndex].attNameExtraction  | Extraction rules that need to be applied on the extracted attName      | [Extraction Rules](/extraction-rules.md)                                  |
| formData.set.\[setIndex].attValue           | Element attribute value to used for the value of the data of the field | value or text                                                             |
| formData.set.\[setIndex].attValueExtraction | Extraction rules that need to be applied on the extracted attValue     | [Extraction Rules](/extraction-rules.md)                                  |
| formData.set.\[setIndex].dataType           | Data type of the data that is there for the field                      | string,data,number                                                        |
| props.page.contentCleanExp                  | ExtractionRules to clean up dynamic codes                              | Optional fields[Extraction Rules](/extraction-rules.md)                   |
| duplicatesAction                            | When form have duplicate AttNames what action to be performed          | <p>Default option: override</p><p>Options: </p><p>override</p><p>exit</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/automation/objects/ui-element/form.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
